Subject: [MMUSIC] Re: [Sipping] SDP offer/answer -- Port 9

From: Rémi Denis-Courmont <[email-masked]>
Date: Fri, 17 Aug 2007 09:00:41 +0300

I think MMUSIC working group is a better place to discuss this.

On Thursday 16 August 2007 18:59:39 ext Iliff, Tina wrote:
> Hi!  I have encountered an application in the "real world"  which
> provides port 9 in the SDP answer in the 200OK.  The SDP m line
> indicates RTP/AVP.  I recognize that port 9 is acceptable if the SDP m
> line indicates BFCP.  My question is:   Is port 9 acceptable for
> RTP/AVP.  In other words, should the original offerer send an ACK and
> then immediate BYE indicating that it rejected the answer?  Or....should
> the offerer send an ACK, then send media to port 8?

Port 9 is legal for any connection-oriented media transport. You are right 
however that it should not be used with RTP/AVP (=> UDP => not 
connection-oriented). Unless the SDP author wants the data really be sent to 
port 9.

> FYI.  What I am actually seeing is that the answerer indicates port 9 in
> the answer but sends a re-INVITE immediately after the ACK; however, the
> originator/offerer does not accept the re-INVITE due to it is already in
> the process of tearing down the call.
>
> Has anyone else seen this specific behavior or similar behavior?
>
> P.S.  RFC2327 noted a range of 1024-65535 for RTP ports; however,
> RFC4566 does not indicate a specific range.

I think it's not the job of the SDP receiver to check the port numbers. If the 
sender wants to use port 9, why not afterall? Maybe it wants you to send to 
its discard service (makes sense if it's a send-only chatter bot).

However, I would assume that in the case you describe, it would not actually 
work properly if you sent data to port 9 anyway.

-- 
Rémi Denis-Courmont

_______________________________________________
mmusic mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/mmusic

---

From: [email-masked]
Date: Fri, 17 Aug 2007 07:01:14 +0100

I will be on leave from Wednesday 8th to Friday the 25th (inclusive). I will be returning to work on Monday the 27th of August.

Urgent questions and queries may be directed towards 
David Monahan ([email-masked]).

Regards,
    Steve.